## txsocksx 1.13.0.0

=== requirements.txt ===
Twisted>=10.1
Parsley>=1.2

## txsocksx 0.0.2

=== debian/changelog ===
txsocksx (0.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #707256)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 16 May 2013 15:55:53 +0200

=== debian/control ===
Source: txsocksx
Maintainer: Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Vcs-Git: git://anonscm.debian.org/git/collab-maint/txsocksx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/txsocksx.git
Homepage: https://github.com/hellais/txsocksx

Package: python-txsocksx
Architecture: all
Depends: python-parsley,
         python-twisted (>= 12.0),
         ${misc:Depends},
         ${python:Depends}
Description: SOCKS{4,4a,5} endpoints for Twisted
 SOCKS is an Internet protocol that routes network packets between a client and
 server through a proxy server.
 .
 This library implements endpoints for SOCKS versions 4, 4a and 5 for the
 Twisted Python framework.

## txsocksx 1.13.0.0

=== debian/changelog ===
txsocksx (1.13.0.0-1) unstable; urgency=low

  * New upstream version.
  * Update pointers toward new upstream.
  * Adjust debian/copyright.
  * Require Python 2.7.
  * Add a patch to get rid of unnecessary dependencies in setup.py.
  * Remove dependencies filled by dh_python2 from Depends.
  * Add autopkgtest support.
  * Run upstream test suite at build time.
  * Ship upstream examples.
  * Fix small mistake in README.source.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 05 Oct 2013 22:33:50 +0200

=== debian/control ===
Source: txsocksx
Maintainer: Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), python-setuptools, python-twisted (>= 10.1), python-parsley (>= 1.2)
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Vcs-Git: git://anonscm.debian.org/git/collab-maint/txsocksx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/txsocksx.git
Homepage: https://github.com/habnabit/txsocksx
XS-Testsuite: autopkgtest

Package: python-txsocksx
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: SOCKS{4,4a,5} endpoints for Twisted
 SOCKS is an Internet protocol that routes network packets between a client and
 server through a proxy server.
 .
 This library implements endpoints for SOCKS versions 4, 4a and 5 for the
 Twisted Python framework.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with=python2

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	trial txsocksx
endif

=== debian/watch ===
version=3
https://pypi.python.org/pypi/txsocksx \
        https://pypi.python.org/packages/source/t/txsocksx/txsocksx-(.+)\.tar\.gz

## txsocksx 1.13.0.1

=== debian/changelog ===
txsocksx (1.13.0.1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 11 Apr 2014 09:44:21 +0200

txsocksx (1.13.0.1-1) unstable; urgency=low

  * New upstream version.
  * Refresh patches.
  * Add a patch to make txsocksx.http fail closed on older versions of Twisted.
    Thanks Leif Ryge.
  * Bump Depends and Build-Depends to Twisted >= 12.1.
  * Bump Standards-Version, no changes needed.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 28 Mar 2014 12:25:30 +0100

txsocksx (1.13.0.0-1~bpo70+2) wheezy-backports; urgency=low

  * Bump Depends and Build-Depends to Twisted >= 12.1.
    Thanks Leif Ryge for reporting the issue.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 28 Mar 2014 11:32:06 +0100

txsocksx (1.13.0.0-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 16 Oct 2013 23:14:33 +0200

## txsocksx 1.13.0.3

=== debian/changelog ===
txsocksx (1.13.0.3-1) unstable; urgency=medium

  * New upstream version.
  * Remove obsolete patch.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 18 Jul 2014 17:07:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Jérémy Bobbio <lunar@debian.org>
 Section: python
 Priority: extra
-Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), python-setuptools, python-twisted (>= 10.1), python-parsley (>= 1.2)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), python-setuptools, python-twisted (>= 12.1), python-parsley (>= 1.2)
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
 Vcs-Git: git://anonscm.debian.org/git/collab-maint/txsocksx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/txsocksx.git

## txsocksx 1.15.0.2

=== debian/changelog ===
txsocksx (1.15.0.2-1) unstable; urgency=high

  * New upstream version:
    - Restore compatibility with Twisted 15. (Closes: #794369)
  * Switch to dh-python and pybuild as dh build system.
  * Bump Standards-Version, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 03 Aug 2015 19:36:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Jérémy Bobbio <lunar@debian.org>
 Section: python
 Priority: extra
-Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), python-setuptools, python-twisted (>= 12.1), python-parsley (>= 1.2)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 8), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python-twisted (>= 12.1), python-parsley (>= 1.2)
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Vcs-Git: git://anonscm.debian.org/git/collab-maint/txsocksx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/txsocksx.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	trial txsocksx
endif

=== debian/watch ===
version=3
https://pypi.python.org/simple/txsocksx/ \
        .*/txsocksx-(.+)\.tar\.gz#.*
